Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.client
Class TCPIPClientConfigInfo

    java.lang.Object
      com.stc.connector.tcpip.model.client.TCPIPClientConfigInfo

All Implemented Interfaces:
  TCPIPClientConfigInfoInterface

    public class TCPIPClientConfigInfo

extends java.lang.Object
implements TCPIPClientConfigInfoInterface

This class wraps TCPIP client configuration information.

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2008/03/03 15:35:59 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPClientConfigInfo(TCPIPSocketInfo info)` Constructor for TCPIPClientConfigInfo.

Method Summary
`TCPIPSocketEstablishmentInfoInterface` | `getClientConnectionEstablishmentInfo()`
`TCPIPServerPortBindingInfoInterface` | `getServerPortBindingInfo()` It is for outbound server only.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPClientConfigInfo

    public TCPIPClientConfigInfo(TCPIPSocketInfo info)

  Constructor for TCPIPClientConfigInfo.

  Parameters:
    `info` -

Method Detail

### getClientConnectionEstablishmentInfo

    public TCPIPSocketEstablishmentInfoInterface getClientConnectionEstablishmentInfo()

  Specified by:
    `getClientConnectionEstablishmentInfo` in interface `TCPIPClientConfigInfoInterface`
  Returns:
    TCPIPSocketEstablishmentInfoInterface

### getServerPortBindingInfo

    public TCPIPServerPortBindingInfoInterface getServerPortBindingInfo()

  It is for outbound server only.

  Specified by:
    `getServerPortBindingInfo` in interface `TCPIPClientConfigInfoInterface`
  Returns:
    TCPIPServerPortBindingInfoInterface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD